Liblinphone: linphone::ConferenceParams Class Reference

Liblinphone 5.0.0

Public Member Functions | List of all members
linphone::ConferenceParams Class Reference

Object defining parameters for a Conference. More...

`#include <conference_params.hh>`

Inheritance diagram for linphone::ConferenceParams:

## Public Member Functions
| ConferenceParams (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneConferenceParams * | cPtr ()
LINPHONECXX_PUBLIC void | setAudioEnabled (bool enable)
| Enable audio capabilities. More...
LINPHONECXX_PUBLIC void | setChatEnabled (bool enable)
| Enable chat capabilities. More...
LINPHONECXX_PUBLIC bool | isAudioEnabled () const
| Check whether audio capabilities are enabled. More...
LINPHONECXX_PUBLIC bool | isChatEnabled () const
| Check whether chat capabilities are enabled. More...
LINPHONECXX_PUBLIC bool | isLocalParticipantEnabled () const
| Returns whether local participant has to enter the conference. More...
LINPHONECXX_PUBLIC bool | isOneParticipantConferenceEnabled () const
| Returns whether conference can have only one participant. More...
LINPHONECXX_PUBLIC bool | isVideoEnabled () const
| Check whether video capabilities are enabled. More...
LINPHONECXX_PUBLIC void | setLocalParticipantEnabled (bool enable)
| Enable local participant to enter the conference. More...
LINPHONECXX_PUBLIC void | setOneParticipantConferenceEnabled (bool enable)
| Enable conference with one participant. More...
LINPHONECXX_PUBLIC void | setVideoEnabled (bool enable)
| Enable video capabilities. More...
LINPHONECXX_PUBLIC std::shared_ptr< linphone::ConferenceParams > | clone () const
| Clone a ConferenceParams. More...

## Detailed Description

Object defining parameters for a Conference.

Can be created by calling function Core::createConferenceParams().

## Member Function Documentation

## ◆ clone()

LINPHONECXX_PUBLIC std::shared_ptr<linphone::ConferenceParams> linphone::ConferenceParams::clone | ( |  | ) | const

Clone a ConferenceParams.

Returns
  An allocated ConferenceParams with the same parameters than params

## ◆ isAudioEnabled()

LINPHONECXX_PUBLIC bool linphone::ConferenceParams::isAudioEnabled | ( |  | ) | const

Check whether audio capabilities are enabled.

Returns
  true if the conference supports audio capabilities, false otherwise

## ◆ isChatEnabled()

LINPHONECXX_PUBLIC bool linphone::ConferenceParams::isChatEnabled | ( |  | ) | const

Check whether chat capabilities are enabled.

Returns
  true if the conference supports chat capabilities, false otherwise

## ◆ isLocalParticipantEnabled()

LINPHONECXX_PUBLIC bool linphone::ConferenceParams::isLocalParticipantEnabled | ( |  | ) | const

Returns whether local participant has to enter the conference.

Returns
  true if local participant is by default part of the conference, false otherwise

## ◆ isOneParticipantConferenceEnabled()

LINPHONECXX_PUBLIC bool linphone::ConferenceParams::isOneParticipantConferenceEnabled | ( |  | ) | const

Returns whether conference can have only one participant.

Returns
  true if the conference can have only one participant, false otherwise

## ◆ isVideoEnabled()

LINPHONECXX_PUBLIC bool linphone::ConferenceParams::isVideoEnabled | ( |  | ) | const

Check whether video capabilities are enabled.

Returns
  true if the conference supports video capabilities, false otherwise

## ◆ setAudioEnabled()

LINPHONECXX_PUBLIC void linphone::ConferenceParams::setAudioEnabled | ( | bool | enable | ) |

Enable audio capabilities.

Parameters

  enable | If true, audio will be enabled during conference

## ◆ setChatEnabled()

LINPHONECXX_PUBLIC void linphone::ConferenceParams::setChatEnabled | ( | bool | enable | ) |

Enable chat capabilities.

Parameters

  enable | If true, chat is enabled during conference

## ◆ setLocalParticipantEnabled()

LINPHONECXX_PUBLIC void linphone::ConferenceParams::setLocalParticipantEnabled | ( | bool | enable | ) |

Enable local participant to enter the conference.

The local participant is the one driving the local Core. It uses the local sound devices. The default value is true. Setting to false is mostly helpful when using liblinphone on a server application.

Parameters

  enable | true if local participant is automatically added to the conference, false otherwise

## ◆ setOneParticipantConferenceEnabled()

LINPHONECXX_PUBLIC void linphone::ConferenceParams::setOneParticipantConferenceEnabled | ( | bool | enable | ) |

Enable conference with one participant.

Parameters

  enable | true if conference can have only one participant, false otherwise

## ◆ setVideoEnabled()

LINPHONECXX_PUBLIC void linphone::ConferenceParams::setVideoEnabled | ( | bool | enable | ) |

Enable video capabilities.

Parameters

  enable | If true, video will be enabled during conference

The documentation for this class was generated from the following file:

- conference_params.hh